import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

/**
 * This is the world where the game will take place.
 * 
 * @author Nicolás A. Ortega
 * @version v1.0
 */
public class Screen extends World
{
    // The next line states that "WORLDCOLOR" as black.
    public static Color WORLDCOLOR = Color.BLACK;

    /**
     * Constructor for objects of class Screen.
     * 
     */
    public Screen()
    {    
        // Create a new world with 700x600 cells with a cell size of 1x1 pixels.
        super(600, 600, 1);

        colorize();

        prepare();
    }

    private void colorize()
    {
        // This next line sets the background color to "WORLDCOLOR".
        getBackground().setColor(WORLDCOLOR);
        // This line fills in the world with that color.
        getBackground().fill();
    }

    /**
     * Prepare the world for the start of the program. That is: create the initial
     * objects and add them to the world.
     */
    private void prepare()
    {
        addObject(new Pacman(), 300, 400);
        
        addObject(new Walls(), 15, 15);
        addObject(new Walls(), 45, 15);
        addObject(new Walls(), 75, 15);
        addObject(new Walls(), 105, 15);
        addObject(new Walls(), 135, 15);
        addObject(new Walls(), 165, 15);
        addObject(new Walls(), 195, 15);
        addObject(new Walls(), 225, 15);
        addObject(new Walls(), 255, 15);
        addObject(new Walls(), 285, 15);
        addObject(new Walls(), 315, 15);
        addObject(new Walls(), 345, 15);
        addObject(new Walls(), 375, 15);
        addObject(new Walls(), 405, 15);
        addObject(new Walls(), 435, 15);
        addObject(new Walls(), 465, 15);
        addObject(new Walls(), 495, 15);
        addObject(new Walls(), 525, 15);
        addObject(new Walls(), 555, 15);
        addObject(new Walls(), 585, 15);
        addObject(new Walls(), 585, 15);
        addObject(new Walls(), 585, 45);
        addObject(new Walls(), 585, 75);
        addObject(new Walls(), 585, 105);
        addObject(new Walls(), 585, 135);
        addObject(new Walls(), 585, 165);
        addObject(new Walls(), 585, 195);
        addObject(new Walls(), 585, 225);
        addObject(new Walls(), 585, 255);
        addObject(new Walls(), 585, 285);
        addObject(new Walls(), 585, 315);
        addObject(new Walls(), 585, 345);
        addObject(new Walls(), 585, 375);
        addObject(new Walls(), 585, 405);
        addObject(new Walls(), 585, 435);
        addObject(new Walls(), 585, 465);
        addObject(new Walls(), 585, 495);
        addObject(new Walls(), 585, 525);
        addObject(new Walls(), 585, 555);
        addObject(new Walls(), 585, 585);
        addObject(new Walls(), 555, 585);
        addObject(new Walls(), 525, 585);
        addObject(new Walls(), 495, 585);
        addObject(new Walls(), 15, 585);
        addObject(new Walls(), 45, 585);
        addObject(new Walls(), 75, 585);
        addObject(new Walls(), 105, 585);
        addObject(new Walls(), 135, 585);
        addObject(new Walls(), 165, 585);
        addObject(new Walls(), 195, 585);
        addObject(new Walls(), 225, 585);
        addObject(new Walls(), 255, 585);
        addObject(new Walls(), 285, 585);
        addObject(new Walls(), 315, 585);
        addObject(new Walls(), 345, 585);
        addObject(new Walls(), 375, 585);
        addObject(new Walls(), 405, 585);
        addObject(new Walls(), 435, 585);
        addObject(new Walls(), 465, 585);
        addObject(new Walls(), 15, 45);
        addObject(new Walls(), 15, 75);
        addObject(new Walls(), 15, 105);
        addObject(new Walls(), 15, 135);
        addObject(new Walls(), 15, 165);
        addObject(new Walls(), 15, 195);
        addObject(new Walls(), 15, 225);
        addObject(new Walls(), 15, 255);
        addObject(new Walls(), 15, 285);
        addObject(new Walls(), 15, 315);
        addObject(new Walls(), 15, 345);
        addObject(new Walls(), 15, 375);
        addObject(new Walls(), 15, 405);
        addObject(new Walls(), 15, 435);
        addObject(new Walls(), 15, 465);
        addObject(new Walls(), 15, 495);
        addObject(new Walls(), 15, 525);
        addObject(new Walls(), 15, 555);
    }
}